Example

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
CDeviceInfo.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CString.h"`
Include dependency graph for CDeviceInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef enum clCDeviceType | clCDeviceType
| Neiry Device type.

## Enumerations
enum | clCDeviceType { clC_DT_NeiryBand = 0 , clC_DT_NeiryBuds = 1 , clC_DT_NeiryHeadphones = 2 , clC_DT_NeiryImpulse = 3 , clC_DT_NeiryAny = 4 , clC_DT_DevOnly_SinWave = 100 , clC_DT_DevOnly_Noise = 101 , clC_DT_DevOnly_LSL , clC_DT_DevOnly_File }
| Neiry Device type. More...

## Functions
| CLC_STRUCT_WN (DeviceInfo, clCDeviceInfo)
| Device info list.
CL_DLL clCString | clCDeviceInfo_GetID (clCDeviceInfo device) NOEXCEPT
CL_DLL clCString | clCDeviceInfo_GetName (clCDeviceInfo device) NOEXCEPT
CL_DLL clCDeviceType | clCDeviceInfo_GetType (clCDeviceInfo device) NOEXCEPT
CL_DLL clCString | clCDeviceInfo_GetDescription (clCDeviceInfo device) NOEXCEPT

## Typedef Documentation

## ◆ clCDeviceType

typedef enum clCDeviceType clCDeviceType

Neiry Device type.

## Enumeration Type Documentation

## ◆ clCDeviceType

enum clCDeviceType

Neiry Device type.

Enumerator
clC_DT_NeiryBand |
clC_DT_NeiryBuds |
clC_DT_NeiryHeadphones |
clC_DT_NeiryImpulse |
clC_DT_NeiryAny |
clC_DT_DevOnly_SinWave |
clC_DT_DevOnly_Noise |
clC_DT_DevOnly_LSL |
clC_DT_DevOnly_File |

## Function Documentation

## ◆ CLC_STRUCT_WN()

CLC_STRUCT_WN | ( | DeviceInfo | ,
|  | clCDeviceInfo |
| ) |  |

Device info list.

Contains device information: name, id (serial number) and type

## ◆ clCDeviceInfo_GetDescription()

CL_DLL clCString clCDeviceInfo_GetDescription | ( | clCDeviceInfo | device | ) |

Get compound device description string.

Parameters

  device | device info handle

Returns
  device description string

## ◆ clCDeviceInfo_GetID()

CL_DLL clCString clCDeviceInfo_GetID | ( | clCDeviceInfo | device | ) |

Get device ID (serial number).

Parameters

  device | device info handle

Returns
  device ID string

## ◆ clCDeviceInfo_GetName()

CL_DLL clCString clCDeviceInfo_GetName | ( | clCDeviceInfo | device | ) |

Get device name.

Parameters

  device | device info handle

Returns
  device name string

## ◆ clCDeviceInfo_GetType()

CL_DLL clCDeviceType clCDeviceInfo_GetType | ( | clCDeviceInfo | device | ) |

Get device type.

Parameters

  device | device info handle

Returns
  device type